/*
package com.dxhy.portrait.business.entity.barcode;

import com.dxhy.portrait.business.util.JsonUtil;
import lombok.Data;
import org.apache.commons.lang.StringUtils;

import java.io.IOException;

*/
/*
  @ClassName BarCodeResponseData
 *
 * @Author wyh
 * @Date 2019/11/22 11:40
 * @Version 1.0
 *//*

                         @Data
                         public class BarCodeResponseData {

                         private BarCodeResponseData(){}

                         private ReturnStateInfo returnStateInfo;

                         private ResponseData data;

                         private static BarCodeResponseData barCodeResponseData;

                         public static BarCodeResponseData getBarCodeResponseData(String json) throws IOException {
                             barCodeResponseData = JsonUtil.fromJson(json, BarCodeResponseData.class);
                             return barCodeResponseData;
                         }

                         public String getCode(){
                            return barCodeResponseData.getReturnStateInfo().getReturnCode();
                         }

                         public String getMessage(){
                             return barCodeResponseData.getReturnStateInfo().getReturnMessage();
                         }

                         public String getBarCode(){
                             return barCodeResponseData.getData().getBarCode();
                         }

                         public String getImgPath(){
                             return barCodeResponseData.getData().getPicturePath();
                         }

                         public boolean isPrototype(String imgPath) {
                             return !StringUtils.isEmpty(imgPath) && imgPath.equals(getImgPath());

                         }

                         public boolean isVerification() {
                             return !StringUtils.isEmpty(barCodeResponseData.getCode()) && "0000".equals(barCodeResponseData.getCode());
                         }
                         }


                         @Data
                         class ReturnStateInfo{

                         private String returnCode;

                         private String returnMessage;
                         }

                         @Data
                         class ResponseData{

                         private String barCode;

                         private String picturePath;
                         }*/
